Subject: bug#14569: closed (Re: bug#14569: 24.3.50; bootstrap fails on Cygwin)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 01 Jul 2013 22:42:03 +0000

Your bug report

#14569: 24.3.50; bootstrap fails on Cygwin

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
14569: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=14569
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#14569: 24.3.50; bootstrap fails on Cygwin
From: Ken Brown <[email-masked]>
To: Angelo Graziosi <[email-masked]>
Cc: Paul Eggert <[email-masked]>, [email-masked]
Date: Mon, 01 Jul 2013 18:41:33 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

On 7/1/2013 5:47 PM, Angelo Graziosi wrote:
> Il 01/07/2013 23.07, Paul Eggert ha scritto:
>> On 07/01/2013 11:40 AM, Ken Brown wrote:
>>> Removing " if (! noninteractive)" solves the problem.  Will it break
>>> something else?
>>
>> I don't see why it would.  I installed that as part of trunk bzr 113247,
>> and thanks for finding the underlying fault.
>>
>
> It seems that Mobydick has been catched! Rev. 113247 bootstraps OB... :-)
>
> Many many thanks!

Thanks for confirming.  I'm closing the bug.

Ken

Subject: 24.3.50; bootstrap fails on Cygwin
From: Katsumi Yamaoka <[email-masked]>
To: [email-masked]
Date: Fri, 07 Jun 2013 09:16:39 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Bootstrap got to fail on Cygwin since yesterday.  An error occurs
at least when performing batch-update-autoloads as follows:

[...]
Wrote /Work/emacs/lisp/mh-e/mh-loaddefs.el
(No changes need to be saved)
EMACSLOADPATH=/Work/emacs/lisp LC_ALL=C /Work/emacs/src/bootstrap-emacs.exe \
 -batch --no-site-file --no-site-lisp -l autoload \
 --eval "(setq generate-autoload-cookie \";;;###tramp-autoload\")" \
 --eval "(setq generated-autoload-file (unmsys--file-name \"/Work/emacs/lisp/net/tramp-loaddefs.el\"))" \
 --eval "(setq make-backup-files nil)" \
 -f batch-update-autoloads /Work/emacs/lisp/net
GLib (gthread-posix.c): Unexpected error from C library during 'pthread_setspecific': Invalid argument.  Aborting.
Makefile:392: recipe for target `/Work/emacs/lisp/net/tramp-loaddefs.el' failed
make[3]: *** [/Work/emacs/lisp/net/tramp-loaddefs.el] Aborted
[...]
make: *** [bootstrap] Error 2

I can run bootstrap-emacs.exe with the -Q option but I have no
clue to examine it.  Please help.

(This is of what I built last.)
In GNU Emacs 24.3.50.1 (i686-pc-cygwin, X toolkit, Xaw3d scroll bars)
 of 2013-06-05 on localhost
Bzr revision: 112848 [email-masked]
Windowing system distributor `The Cygwin/X Project', version 11.0.11401000
Configured using:
 `configure --verbose --with-x-toolkit=lucid --without-imagemagick
 --without-dbus --without-gconf --without-gsettings'